package javax.swing.plaf;

import java.awt.Rectangle;
import javax.swing.tree.TreePath;
import javax.swing.JTree;

public abstract class TreeUI extends ComponentUI
{
    public TreeUI() {
    }
    
    public abstract Rectangle getPathBounds(JTree p0, TreePath p1);
    
    public abstract TreePath getPathForRow(JTree p0, int p1);
    
    public abstract int getRowForPath(JTree p0, TreePath p1);
    
    public abstract int getRowCount(JTree p0);
    
    public abstract TreePath getClosestPathForLocation(JTree p0, int p1, int p2);
    
    public abstract boolean isEditing(JTree p0);
    
    public abstract boolean stopEditing(JTree p0);
    
    public abstract void cancelEditing(JTree p0);
    
    public abstract void startEditingAtPath(JTree p0, TreePath p1);
    
    public abstract TreePath getEditingPath(JTree p0);
}
